Пользователи
Управление пользователями.
curl -X GET "https://loading/api/v1/security/users"[
{
"createdAt": "string",
"email": "string",
"firstName": "string",
"groupIds": [
"string"
],
"id": "string",
"isActive": true,
"lastLoginAt": "string",
"lastName": "string",
"name": "string",
"role": "string"
}
]Привязать Telegram-аккаунт
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/security/users/link-telegram" \ -H "Content-Type: application/json" \ -d '{ "telegramChatId": "string", "userId": "string" }'{
"success": true
}curl -X GET "https://loading/api/v1/security/users/me/favorites"{
"favorites": [
{
"key": "string",
"type": "template"
}
]
}Добавить в избранное
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/security/users/me/favorites" \ -H "Content-Type: application/json" \ -d '{ "key": "string", "type": "template" }'{
"favorites": [
{
"key": "string",
"type": "template"
}
]
}Убрать из избранного
В: header
Параметры запроса
Тип элемента: шаблон документа или реестр
"template" | "registry"Ключ элемента (id шаблона или реестра)
1 <= length <= 200Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/security/users/me/favorites?type=template&key=string"{
"favorites": [
{
"key": "string",
"type": "template"
}
]
}Завершить онбординг текущего пользователя
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Был ли запущен обучающий тур
Тело ответа
application/json
curl -X PATCH "https://loading/api/v1/security/users/me/onboarding" \ -H "Content-Type: application/json" \ -d '{}'{
"onboardingCompletedAt": "string"
}Найти пользователя по e-mail
В: header
Параметры запроса
Email искомого пользователя
Тело ответа
application/json
curl -X GET "https://loading/api/v1/security/users/search-by-email?email=string"{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string"
}curl -X GET "https://loading/api/v1/security/users/team"[
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"name": "string",
"role": "string",
"timezone": "string"
}
]curl -X POST "https://loading/api/v1/security/users/telegram/generate-code"{
"code": "string"
}Статус привязки Telegram для текущего пользователя
В: header
Тело ответа
application/json
curl -X GET "https://loading/api/v1/security/users/telegram/status"{
"chatId": "string",
"linked": true,
"username": "string"
}Отвязать Telegram текущего пользователя
В: header
Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/security/users/telegram/unlink"{
"success": true
}Отвязать Telegram-аккаунт
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/security/users/unlink-telegram" \ -H "Content-Type: application/json" \ -d '{ "userId": "string" }'{
"success": true
}Список пользователей с привязанным Telegram
В: header
Тело ответа
application/json
curl -X GET "https://loading/api/v1/security/users/with-telegram"[
{
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"name": "string",
"telegramUsername": "string"
}
]Удалить пользователя
В: header
Параметры пути
Идентификатор пользователя
Тело ответа
application/json
curl -X DELETE "https://loading/api/v1/security/users/string"{
"message": "string"
}Обновить группы пользователя
В: header
Параметры пути
Идентификатор пользователя
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X PUT "https://loading/api/v1/security/users/string/groups" \ -H "Content-Type: application/json" \ -d '{ "groupIds": [ "string" ] }'{
"message": "string"
}Обновить роль пользователя
В: header
Параметры пути
Идентификатор пользователя
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X PUT "https://loading/api/v1/security/users/string/role" \ -H "Content-Type: application/json" \ -d '{ "role": "owner" }'{
"message": "string"
}